Bug 259898 - lang/cython-devel: add port
Summary: lang/cython-devel: add port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks: 259745
  Show dependency treegraph
 
Reported: 2021-11-17 14:55 UTC by Dmitry Marakasov
Modified: 2021-11-24 17:13 UTC (History)
3 users (show)

See Also:


Attachments
Patch (3.99 KB, patch)
2021-11-17 14:55 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2021-11-17 14:55:40 UTC
Created attachment 229552 [details]
Patch

Add devel version of cython. Apart from that 3.x cython branch is
where all the development goes on, 0.29.x only gettig backported
bugfixes, this is currently the only version which supports python
3.11. Because of that, wire USE_PYTHON=cython to cython-devel for
python >= 3.11 in Uses/python.mk as well and limit supported python
versions with <= 3.10 for cython.
Comment 1 Dmitry Marakasov freebsd_committer 2021-11-17 15:07:31 UTC
(assigned to python@ as it's more related to python.mk than to cython port).
Comment 2 Li-Wen Hsu freebsd_committer 2021-11-22 15:47:29 UTC
devel/cython-devel looks fine to me. BTW, I think "Created by:" comment can be omitted, or replacing with your name. Not a big deal, though.

Another minor point is I suggest we get rid of _CYTHON_DEP and other in python.mk in the future, either remove it or replace it with USE=python:cython or so.
Comment 3 commit-hook freebsd_committer 2021-11-24 17:02:31 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ab67421b6e9f96ffc0975cc8f28e57fc71612127

commit ab67421b6e9f96ffc0975cc8f28e57fc71612127
Author:     Dmitry Marakasov <amdmi3@FreeBSD.org>
AuthorDate: 2021-11-17 13:42:48 +0000
Commit:     Dmitry Marakasov <amdmi3@FreeBSD.org>
CommitDate: 2021-11-24 17:00:33 +0000

    lang/cython-devel: add port

    Add devel version of cython. Apart from that 3.x cython branch is
    where all the development goes on, 0.29.x only getting backported
    bugfixes, this is currently the only version which supports python
    3.11. Because of that, wire USE_PYTHON=cython to cython-devel for
    python >= 3.11 in Uses/python.mk as well and limit supported python
    versions with <= 3.10 for cython.

    PR:             259898
    Approved by:    python (lwhsu)

 Mk/Uses/python.mk                 | 10 ++++++++--
 lang/Makefile                     |  1 +
 lang/cython-devel/Makefile (new)  | 21 +++++++++++++++++++++
 lang/cython-devel/distinfo (new)  |  3 +++
 lang/cython-devel/pkg-descr (new) | 16 ++++++++++++++++
 lang/cython/Makefile              |  2 +-
 6 files changed, 50 insertions(+), 3 deletions(-)
Comment 4 Dmitry Marakasov freebsd_committer 2021-11-24 17:13:20 UTC
> we get rid of _CYTHON_DEP and other in python.mk

Please elaborate.